import React, { useState } from 'react';
import { motion } from 'framer-motion';
import { ProductCard } from '../components/ProductCard';
import { useLanguage } from '../contexts/LanguageContext';

export const products = [
  // Djath Bebe Category
  {
    id: 1,
    name: 'Djath i shkrirë Kidi',
    description: "Djathi Kidi është një djathë i shkrirë me teksturë të butë dhe shije të këndshme, i përshtatshëm për çdo vakt. I paketuar në porcione të vogla praktike, është perfekt për mëngjes, pjatanca të shpejta apo për të pasuruar recetat tuaja të gatimit.",
    image: '/djathi/kidi/WhatsApp Image 2025-03-12 at 4.35.41 PM (5).jpeg',
    category: 'Djath i shkrire',
    nutritionalInfo: {
      energy: '942.82 kcal / 224.48 kJ',
      fat: '17 g',
      saturatedFat: '10.49 g',
      carbs: '5.43 g',
      sugars: '3.36 g',
      protein: '12.44 g',
      salt: '1.94 g'
    },
    usage: 'Ruajtja: +2°C deri +8°C, larg ndikimit të dritës së drejtpërdrejtë. Konsumoni përpara datës së shënuar mbi kapak. Pas hapjes, ruani në të njëjtat kushte. Sasia neto: 8 porcione (120 g)'
  },
  {
    id: 2,
    name: 'Djath i shkrirë Galina Klasik',
    description: "Djathi Klasik është një djathë i shkrirë me shije tradicionale dhe të plotë, i dizajnuar për t'iu përshtatur çdo recete apo vakti të përditshëm. Me një teksturë të butë dhe të kremozuar, ai është ideal për sanduiçe, mëngjese, receta gatimi dhe shijime të çastit.",
    image: '/djathi/klasik/WhatsApp Image 2025-03-12 at 4.35.42 PM (2).jpeg',
    category: 'Djath i shkrire',
    nutritionalInfo: {
      energy: '905.69 kcal / 215.64 kJ',
      fat: '16 g',
      saturatedFat: '9.49 g',
      carbs: '5.98 g',
      sugars: '3.14 g',
      protein: '11.93 g',
      salt: '1.61 g'
    },
    usage: 'Ruajtja: Të ruhet në temperaturë +2°C deri +8°C, larg ndikimit të dritës së drejtpërdrejtë. Të konsumohet përpara datës së shënuar mbi kapak. Pas hapjes, të ruhet në të njëjtat kushte. Sasia neto: 8 porcione (120 g)'
  },
  {
    id: 3,
    name: 'Djath i shkrirë Galina Gusto',
    description: "Djathi Gusto është një djathë i shkrirë me shije të butë dhe të balancuar, i përshtatshëm për gjithë familjen. Konsistenca kremoze dhe porcionet praktike e bëjnë ideal për mëngjes, sanduiçe, pjatanca të lehta dhe receta gatimi. I krijuar me kujdes për t'i dhënë çdo vakti aromë dhe shije të këndshme.",
    image: '/djathi/gusto/WhatsApp Image 2025-03-17 at 9.43.16 PM.jpeg',
    category: 'Djath i shkrire',
    nutritionalInfo: {
      energy: '830.93 kcal / 198.31 kJ',
      fat: '14 g',
      saturatedFat: '8.37 g',
      carbs: '6.59 g',
      sugars: '3.30 g',
      protein: '12.12 g',
      salt: '1.45 g'
    },
    usage: 'Ruajtja: Të ruhet në temperaturë +2°C deri në +8°C, larg ndikimit të dritës së drejtpërdrejtë. Pas hapjes, të ruhet në të njëjtat kushte dhe të konsumohet brenda afatit të treguar mbi kapak. Sasia neto: 8 porcione (120 g)'
  },

  // Vegusto Category
  {
    id: 4,
    name: 'Vegusto Klasik 310 g',
    description: 'Vegusto Klasik 310 g është një përzierje unike e erëzave dhe përbërësve natyralë, e krijuar për të përmirësuar shijen e çdo gatimi. Me një kombinim të balancuar të karotës, majdanozit, qepës së thatë dhe domates, kjo përzierje sjell një aromë të pasur dhe një shije të thellë në çdo recetë. Ideale për supa, salca, pjata me perime, mish dhe shumë më tepër.',
    image: '/vegeta/blu/WhatsApp Image 2025-03-12 at 4.35.41 PM (4).jpeg',
    category: 'Vegusto',
    nutritionalInfo: {
      energy: '82.02 kcal / 343.65 kJ',
      protein: '6.62 g',
      carbs: '16.66 g',
      sugars: '15.95 g',
      fat: '0.38 g',
      saturatedFat: '0.27 g',
      salt: '56.29 g',
      fiber: '0 g'
    }
  },
  {
    id: 5,
    name: 'Vegusto Pulë 363 g',
    description: 'Vegusto Pule 363 g është një përzierje e pasur erëzash dhe shijesh, ideale për të përmirësuar aromën dhe shijen e gatimeve tuaja. Me një kombinim të balancuar të përbërësve të zgjedhur, ky produkt sjell një shije të plotë dhe të këndshme në çdo recetë. I përshtatshëm për supa, salca, mish, perime dhe shumë pjata të tjera.',
    image: '/vegeta/verdha/WhatsApp Image 2025-03-12 at 4.35.41 PM (1).jpeg',
    category: 'Vegusto',
    nutritionalInfo: {
      energy: '99.26 kcal / 415.89 kJ',
      protein: '4.81 g',
      carbs: '19.63 g',
      sugars: '13.3 g',
      fat: '0.14 g',
      saturatedFat: '0.10 g',
      salt: '70.79 g',
      fiber: '0 g'
    }
  },
  {
    id: 6,
    name: 'Vegusto Natyrë 400 g',
    description: 'Vegusto Natyre 400 g është një përzierje e pasur me erëza dhe perime të thata, e krijuar për të shtuar një shije të balancuar dhe natyrale në gatimet tuaja. Me përbërës cilësorë si karota, majdanozi, qepa dhe domatja e thatë, kjo përzierje është ideale për supa, salca, pjata me perime dhe shumë receta të tjera.',
    image: '/vegeta/jeshile/WhatsApp Image 2025-03-12 at 4.35.41 PM (3).jpeg',
    category: 'Vegusto',
    nutritionalInfo: {
      energy: '96.77 kcal / 405.47 kJ',
      protein: '2.63 g',
      carbs: '20.92 g',
      sugars: '12.15 g',
      fat: '0.26 g',
      saturatedFat: '0.19 g',
      salt: '58.97 g',
      fiber: '0 g'
    }
  },
  {
    id: 7,
    name: 'Vegusto Klasik 650 g',
    description: 'Vegusto Klasik 650 g është një përzierje e pasur me erëza dhe përbërës natyralë, e krijuar për të shtuar një shije të plotë dhe të balancuar në gatimet tuaja. Ideale për supa, salca, gjellë dhe pjata të ndryshme, kjo përzierje kombinon aromat e karotës, majdanozit, qepës së thatë dhe domates për një rezultat të shijshëm.',
    image: '/vegeta/blu/WhatsApp Image 2025-03-12 at 4.35.42 PM (9).jpeg',
    category: 'Vegusto',
    nutritionalInfo: {
      energy: '150.59 kcal / 631.01 kJ',
      protein: '2.5 g',
      carbs: '13.31 g',
      sugars: '11.3 g',
      fat: '0.15 g',
      saturatedFat: '0.11 g',
      salt: '60.37 g',
      fiber: '0 g'
    }
  },
  {
    id: 8,
    name: 'Vegusto Natyrë 220 g',
    description: 'Vegusto Natyre 220 g është një përzierje unike e erëzave dhe përbërësve natyralë, e krijuar për të pasuruar shijen e gatimeve tuaja. Me një kombinim të kujdesshëm të karotës, majdanozit, qepës së thatë dhe domates, kjo përzierje siguron një aromë të këndshme dhe një shije të plotë. Ideale për supa, salca, pjata me perime, mish dhe shumë më tepër.',
    image: '/vegeta/jeshile/WhatsApp Image 2025-03-12 at 4.35.42 PM (12).jpeg',
    category: 'Vegusto',
    nutritionalInfo: {
      energy: '78 kcal / 327.04 kJ',
      protein: '4.91 g',
      carbs: '17.53 g',
      sugars: '12.13 g',
      fat: '0.36 g',
      saturatedFat: '0.27 g',
      salt: '62.09 g',
      fiber: '0 g'
    }
  },

  // Oriz Category
  {
    id: 9,
    name: 'Oriz Gusto Camolino',
    description: 'Orizi Galina Gusto është i përshtatshëm për të gjitha recetat me bazë orizi — pilaf, rizoto dhe çdo gatim tjetër. Me përmbajtje të ulët yndyre dhe i pasur me fibra, ndihmon në rregullimin e sistemit tretës dhe lehtëson tranzitin intestinal.',
    image: '/orizi/verdh/WhatsApp Image 2025-03-12 at 4.35.42 PM (4).jpeg',
    category: 'Oriz',
    nutritionalInfo: {
      energy: '1591 kJ / 375 kcal',
      fat: '1.07 g',
      saturatedFat: '0.28 g',
      carbs: '83.78 g',
      sugars: '0.34 g',
      protein: '7.57 g',
      fiber: '0.10 g',
      salt: '0.05 g'
    }
  },
  {
    id: 10,
    name: 'Oriz Gusto Classic',
    description: "Orizi Gusto Classic është zgjedhja perfekte për çdo recetë me bazë orizi — japrake, supa, perime të mbushura dhe shumë të tjera. I pasur me fibra, ndihmon në tretje të mirë dhe rregullon sistemin tretës. I lehtë, i shëndetshëm dhe me cilësi të lartë për çdo vakt.",
    image: '/orizi/blu/WhatsApp Image 2025-03-12 at 4.35.42 PM (11).jpeg',
    category: 'Oriz',
    nutritionalInfo: {
      energy: '1479 kJ / 348 kcal',
      fat: '0.8 g',
      saturatedFat: '0.1 g',
      carbs: '79.3 g',
      sugars: '0.3 g',
      fiber: '0.4 g',
      protein: '6.3 g',
      salt: '0 g'
    }
  },
  {
    id: 15,
    name: 'Oriz Gusto Premium',
    description: "Orizi Galina Premium është ideal për të gjitha recetat me bazë orizi — rizoto, sushi, pilaf dhe shumë të tjera. I lehtë për t'u gatuar, me përmbajtje të ulët yndyre dhe i pasur me fibra që ndihmojnë në rregullimin e sistemit tretës dhe lehtësojnë tretjen.",
    image: '/orizi/jeshil/WhatsApp Image 2025-03-17 at 9.43.16 PM (1).jpeg',
    category: 'Oriz',
    nutritionalInfo: {
      energy: '1460 kJ / 344 kcal',
      fat: '0.9 g',
      saturatedFat: '0.2 g',
      carbs: '78.3 g',
      sugars: '0.6 g',
      fiber: '0.2 g',
      protein: '5.7 g',
      salt: '0 g'
    }
  },

  // Tableta Category
  {
    id: 11,
    name: 'Tableta me shije pule 60 g',
    description: 'Tabletat me shije pule janë perfekte për të gjitha gatimet: gjellë, supë apo perime të stinës. Pasurojnë shijen, përmbajnë fibra dhe ndihmojnë në funksionimin e mirë të sistemit tretës.',
    image: '/tableta/pule/WhatsApp Image 2025-03-12 at 4.35.42 PM (6).jpeg',
    category: 'Tableta',
    nutritionalInfo: {
      energy: '197.86 kcal / 829 kJ',
      protein: '4.81 g',
      carbs: '20.9 g',
      sugars: '0.95 g',
      fat: '10.51 g',
      saturatedFat: '2.9 g',
      salt: '51 g',
      fiber: '0 g',
      riboflavin: '0.0412 mg'
    },
    usage: 'Përdoren lehtësisht: 6 kuba për 3 litra ujë. Ideale për përdorim në kuzhinë familjare apo profesionale.'
  },
  {
    id: 12,
    name: 'Tableta me shije pule 80 g',
    description: 'Tabletat me shije pule 80 g janë të përshtatshme për kuzhinën familjare dhe gatimet në sasi më të mëdha. Përmbajnë përbërës të balancuar dhe fibra që ndihmojnë në funksionimin normal të sistemit tretës.',
    image: '/tableta/pule/WhatsApp Image 2025-03-12 at 4.35.42 PM (5).jpeg',
    category: 'Tableta',
    nutritionalInfo: {
      energy: '197.86 kcal / 829 kJ',
      protein: '4.81 g',
      carbs: '20.9 g',
      sugars: '0.95 g',
      fat: '10.51 g',
      saturatedFat: '2.9 g',
      salt: '51 g',
      fiber: '0 g',
      riboflavin: '0.0412 mg'
    },
    usage: 'Përdoren lehtësisht: 8 kuba për 4 litra ujë. Ideale për përdorim në kuzhinë familjare apo profesionale.'
  },
  {
    id: 13,
    name: 'Tableta me shije viçi 60 g',
    description: 'Tabletat me shije viçi sjellin shijen e mishit të freskët në çdo pjatë. Të pasura me minerale dhe përbërës natyralë që ndihmojnë tretjen dhe përmirësojnë aromën e ushqimit.',
    image: '/tableta/vici/WhatsApp Image 2025-03-12 at 4.35.42 PM (8).jpeg',
    category: 'Tableta',
    nutritionalInfo: {
      energy: '199 kcal / 832 kJ',
      protein: '4.9 g',
      carbs: '21.2 g',
      sugars: '1 g',
      fat: '10.7 g',
      saturatedFat: '3 g',
      salt: '50 g',
      fiber: '0 g',
      riboflavin: '0.042 mg'
    },
    usage: 'Përdoren lehtësisht: 6 kuba për 3 litra ujë. Ideale për përdorim në kuzhinë familjare apo profesionale.'
  },
  {
    id: 14,
    name: 'Tableta me shije viçi 80 g',
    description: 'Tabletat me shije viçi 80 g japin shije të fortë dhe aromë të pasur, të përshtatshme për çdo lloj gatimi me mish. Pasurojnë ushqimin me minerale dhe ndihmojnë në tretjen natyrale.',
    image: '/tableta/vici/WhatsApp Image 2025-03-12 at 4.35.42 PM (7).jpeg',
    category: 'Tableta',
    nutritionalInfo: {
      energy: '199 kcal / 832 kJ',
      protein: '4.9 g',
      carbs: '21.2 g',
      sugars: '1 g',
      fat: '10.7 g',
      saturatedFat: '3 g',
      salt: '50 g',
      fiber: '0 g',
      riboflavin: '0.042 mg'
    },
    usage: 'Përdoren lehtësisht: 8 kuba për 4 litra ujë. Ideale për përdorim në kuzhinë familjare apo profesionale.'
  }
];

interface Product {
  id: number;
  name: string;
  description: string;
  image: string;
  category: string;
  nutritionalInfo?: {
    energy?: string;
    protein?: string;
    carbs?: string;
    sugars?: string;
    fat?: string;
    saturatedFat?: string;
    salt?: string;
    fiber?: string;
    riboflavin?: string;
  };
  usage?: string;
}

export default function Products() {
  const { t } = useLanguage();
  const [selectedCategory, setSelectedCategory] = useState<string>('all');
  const categories = ['all', ...new Set(products.map(product => product.category))];
  const filteredProducts = selectedCategory === 'all' 
    ? products 
    : products.filter(product => product.category === selectedCategory);

  return (
    <div className="min-h-screen bg-white py-16">
      <div className="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <motion.div
          initial={{ opacity: 0, y: -20 }}
          animate={{ opacity: 1, y: 0 }}
          transition={{ duration: 0.4 }}
          className="text-center mb-12"
        >
          <h1 className="text-4xl font-bold text-gray-900 mb-4">
            {t('products.title')}
          </h1>
          <p className="text-lg text-gray-600">
            {t('products.subtitle')}
          </p>
        </motion.div>

        {/* Category Filter */}
        <div className="flex flex-wrap justify-center gap-4 mb-12">
          {categories.map((category) => (
            <button
              key={category}
              onClick={() => setSelectedCategory(category)}
              className={`px-6 py-2 rounded-full transition-all duration-300 transform-gpu hover:scale-105 active:scale-95 ${
                selectedCategory === category
                  ? 'bg-green-600 text-white shadow-lg'
                  : 'bg-gray-50 text-gray-700 hover:bg-green-50'
              }`}
            >
              {category === 'all' ? t('category.all') : category}
            </button>
          ))}
        </div>
        
        <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8">
          {filteredProducts.map((product, index) => (
            <ProductCard key={product.id} product={product} index={index} />
          ))}
        </div>
      </div>
    </div>
  );
}